RPC_BIND_NEW_PROGRAM(9)

NAME
rpc_bind_new_program - bind a new RPC program to an existing client

SYNOPSIS

struct rpc_clnt * rpc_bind_new_program(struct rpc_clnt * old, const struct rpc_program * program, u32 vers);

ARGUMENTS

old
    old rpc_client

program
    rpc program to set

vers
    rpc program version

DESCRIPTION

Clones the rpc client and sets up a new RPC program. This is mainly of use for enabling different RPC programs to share the same transport. The Sun NFSv2/v3 ACL protocol can do this.

COPYRIGHT